package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.api.sys.mapper.SysUserRoleMapper
import com.gxzc.zen.api.sys.service.ISysUserRoleService
import com.baomidou.mybatisplus.service.impl.ServiceImpl
import org.springframework.stereotype.Service
import springfox.documentation.annotations.Cacheable

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-05
 */
@Service
class SysUserRoleServiceImpl : ServiceImpl<SysUserRoleMapper, SysUserRole>(), ISysUserRoleService {

    @Cacheable("123")
    override fun findUserRoles(userId: Long): MutableList<SysUserRole>?{
        val entity=SysUserRole().also { it.userId=userId }
        return baseMapper?.selectList(EntityWrapper<SysUserRole>(entity))
    }

}
